## xxsds-dynamic 1.0~alpha.1%2Bgit20210426.548c6f7

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


%:
	dh $@

#override_dh_auto_test:
#	obj-$$(dpkg-architecture -qDEB_TARGET_GNU_TYPE)/benchmark -g 1000000 0.01

override_dh_auto_clean:
	dh_auto_clean
	rm -f core
