## xxsds-dynamic 1.0~alpha.1+2020072524git5390b6c

=== debian/changelog ===
xxsds-dynamic (1.0~alpha.1+2020072524git5390b6c-3) unstable; urgency=medium

  * Fixed omitted trailer in d/changelog

    Many thanks go to Logan Rosen for spotting that (Closes: #980972).

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Jan 2021 12:31:31 +0100

xxsds-dynamic (1.0~alpha.1+2020072524git5390b6c-2) unstable; urgency=medium

  * Initial release (Closes: #965272)

    d/copyright now references the contributions by Erik Garrison
    (thanks go to FTPmaster Thorsten for spotting that omission).

 -- Steffen Moeller <moeller@debian.org>  Sun, 13 Sep 2020 19:48:50 +0200
    

xxsds-dynamic (1.0~alpha.1+2020072524git5390b6c-1) UNRELEASED; urgency=medium

  * Initial submission to main.

 -- Steffen Moeller <moeller@debian.org>  Sat, 18 Jul 2020 16:40:45 +0200
