=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
   https://github.com/xxsds/DYNAMIC/tags \
   (?:.*?/)?v(\d\.[0-9alphbetgm.-]*)\.tar\.gz
