## xxsds-dynamic 1.0~alpha.1+git20210426.548c6f7

=== debian/changelog ===
xxsds-dynamic (1.0~alpha.1+git20210426.548c6f7-2) unstable; urgency=medium

  * Team Upload.
  * Adjust useOurHopscotchMap.patch to be compatible with existing hopscotch
    Closes: #1042340
  * Update d/u/metadata
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Update copyright years

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Aug 2023 12:51:19 +0530

xxsds-dynamic (1.0~alpha.1+git20210426.548c6f7-1) unstable; urgency=medium

  * Team upload.
  * Fix Vcs fields
  * Debian Med team maintenance
  * Use git mode in watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints.
    + libxxsds-dynamic-dev: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Dec 2021 20:07:49 +0100
