=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: xxsds-dynamic
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libtsl-hopscotch-map-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Section: libs
+Vcs-Browser: https://salsa.debian.org/med-team/xxsds-dynamic
+Vcs-Git: https://salsa.debian.org/med-team/xxsds-dynamic.git
 Homepage: https://github.com/xxsds/DYNAMIC
-Vcs-Browser: https://salsa.debian.org/med-team/dynamic
-Vcs-Git: https://salsa.debian.org/med-team/dynamic.git
+Rules-Requires-Root: no
 
 Package: libxxsds-dynamic-dev
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: succinct and compressed fully-dynamic data structures library
  This library offers space- and time-efficient implementations of some
  basic succinct/compressed dynamic data structures. It only ships header
