=== debian/watch ===
version=4

opts="uversionmangle=s/-/~/,mode=git,pretty=1.0~alpha.1+git%cd.%h" \
    https://github.com/xxsds/DYNAMIC.git HEAD

#opts="uversionmangle=s/-/~/" \
#   https://github.com/xxsds/DYNAMIC/tags \
#   (?:.*?/)?v(\d\.[0-9alphbetgm.-]*)\.tar\.gz
